Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024266
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2013-07-04 10:542013-07-19 09:38
ReporterjecharriView Statuspublic 
Assigned Tomarvintm 
PriorityurgentResolutionfixedFixed in VersionRMP25
StatusclosedFix in branchFixed in SCM revisiona5c27540402f
ProjectionnoneETAnoneTarget VersionRMP25
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomigueldejuana
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024266: Impossible to add payment to a return receipt paid with credit

DescriptionImpossible to add payment to a return receipt paid with credit
Steps To Reproduce1. create a ticket
2. set a to be returned and mark to be invoiced
3. paid on credit
4. go to the backend to the sales invoce already created
5. add payment. the invoice it's not been showing in the pop up to do the payment
Proposed SolutionThe problem seems that the record in fin_payment_scheduledetail is not created.

If you reactivate and complete the invoice, you can add the payment
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0022790RMP19 closedmigueldejuana Not possible to create a payment for sales left as credit on WebPOS 
related to defect 0024805RMP28 closedmarvintm Fin_payment_scheduledetail is not properly generated 

-  Notes
(0059872)
hgbot (developer)
2013-07-04 18:16

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: a5c27540402fbb5d0f467223b2faf01fe6953045
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jul 04 18:14:05 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a5c27540402fbb5d0f467223b2faf01fe6953045 [^]

Fixed issue 24266. Now users will be able to add payments to returned receipts paid on credit

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0059919)
hgbot (developer)
2013-07-08 15:26

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: a5c27540402fbb5d0f467223b2faf01fe6953045
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jul 04 18:14:05 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/a5c27540402fbb5d0f467223b2faf01fe6953045 [^]

Fixed issue 24266. Now users will be able to add payments to returned receipts paid on credit

---
M src/org/openbravo/retail/posterminal/OrderLoader.java
---
(0060120)
migueldejuana (developer)
2013-07-19 09:38

Tested and reviewed in 4abc82b73efa

- Issue History
Date Modified Username Field Change
2013-07-04 10:54 jecharri New Issue
2013-07-04 10:54 jecharri Assigned To => marvintm
2013-07-04 17:20 marvintm Relationship added related to 0022790
2013-07-04 18:16 hgbot Checkin
2013-07-04 18:16 hgbot Note Added: 0059872
2013-07-04 18:16 hgbot Status new => resolved
2013-07-04 18:16 hgbot Resolution open => fixed
2013-07-04 18:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a5c27540402fbb5d0f467223b2faf01fe6953045 [^]
2013-07-08 15:26 hgbot Checkin
2013-07-08 15:26 hgbot Note Added: 0059919
2013-07-08 15:26 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a5c27540402fbb5d0f467223b2faf01fe6953045 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/a5c27540402fbb5d0f467223b2faf01fe6953045 [^]
2013-07-19 09:38 migueldejuana Review Assigned To => migueldejuana
2013-07-19 09:38 migueldejuana Note Added: 0060120
2013-07-19 09:38 migueldejuana Status resolved => closed
2013-07-19 09:38 migueldejuana Fixed in Version => RMP25
2013-09-20 13:14 jecharri Relationship added related to 0024805


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker